Subject: bug#68246: 30.0.50; Add non-TS mode as extra parent of TS modes

From: João Távora <[email-masked]>
Date: Tue, 9 Jan 2024 00:39:40 +0000

On Tue, Jan 9, 2024 at 12:10 AM Stefan Monnier <[email-masked]> wrote:
>
> > Instead, we could have a mapping of files to "languages" and a separate one
> > from languages to major modes.
>
> Indeed.  I called this one `major-mode-remap-alist`.  🙂

"Called"?  Couldn't find this in your latest patch.  Can you elaborate
on this alist's structure?  Does it let one write

   {eglot|yasnippet}--get-language-for-mode

like Dmitry's "languages to major modes" suggests?

João

BTW, in your patch, can you keep the whitespace of eglot-server-programs
or, alternatively, change that whitespace in a separate commit that changes
nothing else?  I understand the current indentation is awful but I rely on
Git history/vc-region-history a lot in the whole of eglot.el